---
sidebar_position: 2
description: Get user data and other functions to work with Notion in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Notion]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get user data
 Gets user data by ID



`Function GetUserData(Val Token, Val UserID) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | UserID | --user | String | &#x2714; | Target user ID |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Notion



```bsl title="1C:Enterprise/OneScript code example"
    Token = "secret_9RsfMrRMqZwqp0Zl0B...";
    User  = "ed71865a-9891-46bc-86cd-a92aa499cfdb";

    Result = OPI_Notion.GetUserData(Token, User);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint notion GetUserData \
             --token "***" \
             --user "ed71865a-9891-46bc-86cd-a92aa499cfdb"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint notion GetUserData ^
             --token "***" ^
             --user "ed71865a-9891-46bc-86cd-a92aa499cfdb"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "object": "user",
 "id": "ed71865a-9891-46bc-86cd-a92aa499cfdb",
 "name": "Techno Pizza",
 "avatar_url": null,
 "type": "person",
 "person": {
  "email": "iscript13@gmail.com"
 },
 "request_id": "32d92e21-3641-4d86-a37c-89f30e8d6cbc"
}
```
